Saltar al contenido

Get an account membership

Módulo Identity

GET/account-memberships/{id}accountMemberships.get

A person in an external organization's account. Returns one account membership with its `ETag`. A account membership the caller may not see returns 404.

  • Requiere la capacidad me.account.write.
  • Alcances de OAuth: me.
  • Estados de error: 400, 401, 404, 429. Los errores son detalles de problema RFC 9457.

Parámetros de ruta y de consulta

accountMemberships.get: Parámetros de ruta y de consulta
CampoTipoObligatorioDescripción
idstring (uuid)SíIdentifier of the account membership.
fieldsFieldsNoSparse fieldset: a comma-separated list of top-level fields to return. `id` is always returned.Restricciones: pattern ^[a-z_][a-z0-9_]*(,[a-z_][a-z0-9_]*)*$

Respuesta 200: AccountMembership

accountMemberships.get: AccountMembership
CampoTipoObligatorioDescripción
idstring (uuid)SíIdentifier of the account membership.
created_atstring (date-time)SíWhen the row was created.
updated_atstring (date-time)SíWhen the row was last updated.
person_idstring (uuid)SíIdentifier of the member.
valid_fromstring (date-time)SíStart of account membership.
valid_tostring (date-time) | nullSíEnd of account membership.
{
  "id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
  "created_at": "2026-10-08T14:30:00Z",
  "updated_at": "2026-10-08T14:30:00Z",
  "person_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
  "valid_from": "2026-10-08T14:30:00Z",
  "valid_to": "2026-10-08T14:30:00Z"
}

Ejemplos de código

curl -X GET "$XOS_BASE_URL/account-memberships/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f" \
  -H "Authorization: Bearer $XOS_API_KEY"
const { data, etag } = await xos.accountMemberships.get("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f");
response = xos.account_memberships.get("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f")
xos account-memberships get 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f